it.reply.healty.innovapuglia.mstaccuino.service.data

## Class AltroProdottoDataService

- java.lang.Object
- - it.reply.healty.innovapuglia.mstaccuino.service.data.AltroProdottoDataService

- All Implemented Interfaces:
    IDataService<NotaTaccuino,AltroProdottoRequestDTO,AltroProdotto,AltroProdottoNonTrovatoException>

      @Component
      public class AltroProdottoDataService
      extends Object
      implements IDataService<NotaTaccuino,AltroProdottoRequestDTO,AltroProdotto,AltroProdottoNonTrovatoException>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AltroProdottoDataService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AltroProdotto` | `addNtt(NotaTaccuino nota, AltroProdottoRequestDTO altroProdottoRequest)` Aggiunge al database una nuova istanza di tipo Altro Prodotto
    `void` | `deprecaNtt(AltroProdotto altroProdotto)` Cancella logicamente l'istanza di tipo Altro Prodotto inserita in input
    `List<AltroProdotto>` | `findAllNttById(String idNota)` Recupera l'elenco di Altro Prodotto associati ad un id nota
    `AltroProdotto` | `getNttById(String idProdotto)` Restituisce il prodotto in stato attivo in base all'ID in input
    `AltroProdotto` | `updateNtt(AltroProdotto altroProdotto, AltroProdottoRequestDTO newAltroProdottoDto)` Crea un'istanza di tipo AltroProdotto aggiornata con i dati in input e depreca la vecchia istanza

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AltroProdottoDataService

          public AltroProdottoDataService()

  - ### Method Detail

    - #### addNtt

          public AltroProdotto addNtt(NotaTaccuino nota,
                                      AltroProdottoRequestDTO altroProdottoRequest)
                               throws FaultException

      Aggiunge al database una nuova istanza di tipo Altro Prodotto
      Specified by:
        `addNtt` in interface `IDataService<NotaTaccuino,AltroProdottoRequestDTO,AltroProdotto,AltroProdottoNonTrovatoException>`
      Parameters:
        `nota` - Istanza della nota a cui e' associato il prodotto
        `altroProdottoRequest` - Oggetto contenente i dati di input del prodotto
      Returns:
        l'istanza creata
      Throws:
        `FaultException` - quando ci sono problemi nel salvataggio dei dati nel database

    - #### deprecaNtt

          public void deprecaNtt(AltroProdotto altroProdotto)
                          throws FaultException

      Cancella logicamente l'istanza di tipo Altro Prodotto inserita in input
      Specified by:
        `deprecaNtt` in interface `IDataService<NotaTaccuino,AltroProdottoRequestDTO,AltroProdotto,AltroProdottoNonTrovatoException>`
      Parameters:
        `altroProdotto` - istanza dell'oggetto da deprecare
      Throws:
        `FaultException` - quando ci sono problemi nel salvataggio dei dati nel database

    - #### updateNtt

          public AltroProdotto updateNtt(AltroProdotto altroProdotto,
                                         AltroProdottoRequestDTO newAltroProdottoDto)
                                  throws FaultException

      Crea un'istanza di tipo AltroProdotto aggiornata con i dati in input e depreca la vecchia istanza
      Specified by:
        `updateNtt` in interface `IDataService<NotaTaccuino,AltroProdottoRequestDTO,AltroProdotto,AltroProdottoNonTrovatoException>`
      Parameters:
        `altroProdotto` - Vecchia istanza dell'oggetto da modificare
        `newAltroProdottoDto` - Nuovo oggetto in input contenente i dati aggiornati
      Returns:
        l'istanza aggiornata
      Throws:
        `FaultException` - quando ci sono problemi nel salvataggio dei dati nel database

    - #### getNttById

          public AltroProdotto getNttById(String idProdotto)
                                   throws FaultException,
                                          AltroProdottoNonTrovatoException

      Restituisce il prodotto in stato attivo in base all'ID in input
      Specified by:
        `getNttById` in interface `IDataService<NotaTaccuino,AltroProdottoRequestDTO,AltroProdotto,AltroProdottoNonTrovatoException>`
      Parameters:
        `idProdotto` - l'ID del prodotto da cercare
      Returns:
        Il prodotto attivo trovato
      Throws:
        `FaultException` - Quando c'è qualche problema durante l'interrogazione del database
        `AltroProdottoNonTrovatoException` - Quando non viene trovato nessun prodotto attivo con quell'ID

    - #### findAllNttById

          public List<AltroProdotto> findAllNttById(String idNota)
                                             throws FaultException

      Recupera l'elenco di Altro Prodotto associati ad un id nota
      Specified by:
        `findAllNttById` in interface `IDataService<NotaTaccuino,AltroProdottoRequestDTO,AltroProdotto,AltroProdottoNonTrovatoException>`
      Parameters:
        `idNota` - l'ID della nota
      Returns:
        l'elenco di altri prodotti, o una lista vuota quando non ce ne sono
      Throws:
        `FaultException` - quando ci sono problemi nel recupero dati dal database

Copyright © 2024. All rights reserved.